#include "status.h"

using namespace std;

namespace Msp {
namespace Http {

ostream &operator<<(ostream &out, Status status)
{
	switch(status)
	{
	case NONE: out<<"None"; break;
	case OK: out<<"OK"; break;
	case MOVED_PERMANENTLY: out<<"Moved Permanently"; break;
	case SEE_OTHER: out<<"See Other"; break;
	case BAD_REQUEST: out<<"Bad Request"; break;
	case FORBIDDEN: out<<"Forbidden"; break;
	case NOT_FOUND: out<<"Not Found"; break;
	case METHOD_NOT_ALLOWED: out<<"Method not allowed"; break;
	case INTERNAL_ERROR: out<<"Internal Error"; break;
	case NOT_IMPLEMENTED: out<<"Not Implemented"; break;
	default: out<<"Unknown Status"; break;
	}

	return out;
}

} // namespace Http
} // namespace Msp
