#ifndef MSP_HTTPSERVER_STATUS_H_
#define MSP_HTTPSERVER_STATUS_H_

#include <ostream>

namespace Msp {
namespace Http {

enum Status
{
	NONE = 0,
	OK = 200,
	MOVED_PERMANENTLY = 301,
	SEE_OTHER = 303,
	BAD_REQUEST = 400,
	FORBIDDEN = 403,
	NOT_FOUND = 404,
	METHOD_NOT_ALLOWED = 405,
	INTERNAL_ERROR = 500,
	NOT_IMPLEMENTED = 501
};

extern std::ostream &operator<<(std::ostream &, Status);

} // namespace Http
} // namespace Msp

#endif
