#ifndef MSP_NET_RECEIVER_H_
#define MSP_NET_RECEIVER_H_

namespace Msp {
namespace Net {

class ReceiverBase
{
protected:
	ReceiverBase() { }
public:
	virtual ~ReceiverBase() { }
};

template<typename P>
class PacketReceiver: public virtual ReceiverBase
{
protected:
	PacketReceiver() { }
public:
	virtual void receive(const P &) = 0;
};

} // namespace Net
} // namespace Msp

#endif
